%define ver    1.8
%define rel    beta5


Summary:       A transparent SOCKS proxying library
Name:          tsocks
Version:       %{ver}
Release:       0.3.%{rel}%{?dist}%{?pext}
License:       GPL
Group:         Applications/Internet
Source0:       http://ftp1.sourceforge.net/%{name}/%{name}-%{ver}%{rel}.tar.gz
Patch0:        %{name}-1.8beta5-parser.patch
Patch1:        %{name}-1.8beta5-install.patch
URL:           http://%{name}.sourceforge.net/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Shaun Clowes <delius@progsoc.org>


%description
Tsocks provides transparent network access through a SOCKS v4 or v5
proxy (usually on a firewall). It intercepts the calls applications
make to establish TCP connections and transparently proxies them as
necessary.


%prep
%setup -q
%patch0 -p1
%patch1 -p1

# Fix path to library
%{__sed} -i -e "s#\(\\\\\)\?/usr\(\\\\\)\?/lib#\\1/%{_lib}#g" %{name}


%build
%configure \
	--libdir=/%{_lib} \
	--enable-socksdns \
	--disable-hostnames

%{__make} %{?_smp_mflags}


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_sysconfdir}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install

%{__install} -m 0644 %{name}.conf.simple.example \
	${RPM_BUILD_ROOT}%{_sysconfdir}/%{name}.conf.sample

%{__install} -m 0755 {inspectsocks,validateconf} \
	${RPM_BUILD_ROOT}%{_bindir}


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc COPYING ChangeLog FAQ INSTALL TODO
%doc *.example
%{_sysconfdir}/%{name}.conf.sample
/%{_lib}/lib%{name}.so
/%{_lib}/lib%{name}.so.*
%{_bindir}/%{name}
%{_bindir}/inspectsocks
%{_bindir}/validateconf
%{_mandir}/man1/%{name}.1*
%{_mandir}/man5/%{name}.conf.5*
%{_mandir}/man8/%{name}.8*


%changelog
* Sun Mar 23 2008 Peter Pramberger <peterpramb@member.fsf.org> - 1.8-0.3.beta5
- Fixed versioning
- Rewritten for buildsystem

* Thu Nov 29 2007 peter.pramberger@member.fsf.org 1.8-0.beta5.2
- created
